package fs;

#************************************************************************#
#* LoadeBackup                                                          *#
#* ============================================                         *#
#*                                                                      *#
#* Copyright (c) 2008-2009 by Loreno Edelmondo                          *#
#* http://loadebackup.sourceforge.net                                   *#
#*                                                                      *#
#* This program is free software. You can redistribute it and/or modify *#
#* it under the terms of the GNU General Public License as published by *#
#* the Free Software Foundation; either version 2 of the License.       *#
#************************************************************************#

use strict;

sub new {
        my $self = {};
 	bless $self;
	return $self;
}

sub rsfile {
	#Da chiamare per file da cui ci si aspetta il ritorno di una sola riga
	my ($class, $file) = @_;
	open FL, $file;
        while (<FL>) {
		return $_;
	}
	return 2;
}

sub rpfile {
	#Da chiamare per file da cui ci si aspetta più linee di ritorno
	my ($class, $file) = @_;
	open FL, $file;
	my @conf_line = <FL>;
	return @conf_line;
}

sub wfile {
	#Da chiamare per file su cui si vuole scrivere una sola riga
	my ($class, $file, $valore) = @_;
	open FL, ">$file" || return 2;
	print FL $valore;
	return 1;
}

sub rconf {
	#Legge un file config con la seguente struttura nome=valore su più righe, ritorna 2 se c'è errore, 1 se tutto ok
	my ($class, $nome) = @_;
	my $file="./backup.conf";
	if(-r $file) {
		foreach (rpfile("fs",$file)) {
                	if ( ($_ =~ $nome) && ($_ !~ "#")) {
                        	$_ =~ s/$nome//g;
                        	$_ =~ s/=//g;
                        	chomp $_;
				return $_;
                	} 
        	}
	} 
	return 2;
}

1
