#!/usr/bin/perl

#************************************************************************#
#* LoadeBackup				 	                        *#
#* ============================================                         *#
#*                                                                      *#
#* Copyright (c) 2008-2009 by Loreno Edelmondo                          *#
#* http://loadebackup.sourceforge.net                                    *#
#*                                                                      *#
#* This program is free software. You can redistribute it and/or modify *#
#* it under the terms of the GNU General Public License as published by *#
#* the Free Software Foundation; either version 2 of the License.       *#
#************************************************************************#

use backup;
use driver;
$fs=fs->new();
my $backuplog=$fs->rconf("backuplog");
my $backupsynch=$fs->rconf("backupsynch");
my $filecron=$fs->rconf("filecron");
my $numcron=$fs->rconf("numcron");
my $backupdir=$fs->rconf("backupdir");


my $backup = backup->new($backuplog,
        	$backupsynch,
        	$filecron,
        	$numcron);
my $driver = driver->new();
#0 non cancella 1 cancella
#if ($backup->cron() == 1) {
 	backup->deldir($backupdir);	
	#$driver->scp("loade","wie","22","/home/loade/pippo", "/home/loade/");
#} else {

#}
